public class Bank {
    private CheckingAccount account;

    public Bank() {
        account = new CheckingAccount();
    }
    public double cashCheck(Check check) {
        double amount = check.getAmount();
        double balance = account.getBalance();
        if (balance < amount) {
            account.addInsuficientFundFee();
            account.noteReturnedCheck(check);
            return -1;
        }
        int checkNumber = check.getCheckNumber();
        account.addDebitTransaction(checkNumber, amount);
        account.storePhotoOfCheck(check);

        return amount;
    }

    private void returnCheck(Check check) {}
}
